DELETE api/CodeList?state={state}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state | boolean |
Required |
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"ec7b3fd3-d7dc-4f4f-b554-08979f6fdcee",
"fbeb9be7-0d9d-41e7-9321-f41c2c0d0f9c"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "41b94993-d5c2-469b-b948-f1c5d85f46ee",
"image_id": "dc7b3029-0295-494e-b035-448c65eb72f1",
"id_user_work_position": "03e2236a-dd31-4a98-9e2a-03e9d7abcb23",
"id_shift": "84e8ba64-796d-4699-96bf-7fe532261659",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:09:32Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "41b94993-d5c2-469b-b948-f1c5d85f46ee",
"image_id": "dc7b3029-0295-494e-b035-448c65eb72f1",
"id_user_work_position": "03e2236a-dd31-4a98-9e2a-03e9d7abcb23",
"id_shift": "84e8ba64-796d-4699-96bf-7fe532261659",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:09:32Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>ec7b3fd3-d7dc-4f4f-b554-08979f6fdcee</d2p1:guid>
<d2p1:guid>fbeb9be7-0d9d-41e7-9321-f41c2c0d0f9c</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-03-21T22:09:32.5886041+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>41b94993-d5c2-469b-b948-f1c5d85f46ee</id>
<id_shift>84e8ba64-796d-4699-96bf-7fe532261659</id_shift>
<id_user_work_position>03e2236a-dd31-4a98-9e2a-03e9d7abcb23</id_user_work_position>
<image_id>dc7b3029-0295-494e-b035-448c65eb72f1</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-03-21T22:09:32.5886041+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>41b94993-d5c2-469b-b948-f1c5d85f46ee</id>
<id_shift>84e8ba64-796d-4699-96bf-7fe532261659</id_shift>
<id_user_work_position>03e2236a-dd31-4a98-9e2a-03e9d7abcb23</id_user_work_position>
<image_id>dc7b3029-0295-494e-b035-448c65eb72f1</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>